List Code Quality Issues
curl --request GET \
--url https://www.corgea.app/api/v1/issues/code-quality \
--header 'CORGEA-TOKEN: <api-key>'import requests
url = "https://www.corgea.app/api/v1/issues/code-quality"
headers = {"CORGEA-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'CORGEA-TOKEN': '<api-key>'}};
fetch('https://www.corgea.app/api/v1/issues/code-quality', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"page": 123,
"total_pages": 123,
"total_issues": 123,
"issues": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"classification": {
"id": "CWE-123",
"name": "Vulnerability Name",
"description": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"location": {
"file": {
"name": "<string>",
"language": "<string>",
"path": "<string>"
},
"project": {
"name": "<string>",
"branch": "<string>",
"git_sha": "<string>"
},
"line_number": 123
},
"auto_triage": {
"false_positive_detection": {
"reasoning": "<string>"
}
},
"auto_fix_suggestion": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"patch": {
"diff": "<string>",
"explanation": "<string>"
}
},
"assigned_to": {
"id": "<string>",
"email": "jsmith@example.com",
"name": "<string>"
},
"scanner_metadata": {},
"reachability": {
"is_reachable": true,
"endpoint_count": 123
}
}
]
}Issues
List Code Quality Issues
Retrieve code quality findings separately from security issues. Classification values are code quality labels, such as Maintainability, rather than CWEs.
GET
/
issues
/
code-quality
List Code Quality Issues
Authorizations
CorgeaTokenBearerAuth
API key for authentication
Query Parameters
Filter issues by project name
Filter issues by repository URL
Filter issues by branch name
Filter by code quality classification label (partial match)
Required range:
x <= 50Was this page helpful?
⌘I
